Subject: Re: [patch] rtl8102e: commit 7bf6bf480 zeroized MAC address

From: Martin Capitanio <[email-masked]>
Date: Thu, 16 Oct 2008 13:19:59 +0200

Am Donnerstag, den 16.10.2008, 00:50 +0200 schrieb Francois Romieu:
> [email-masked] <[email-masked]> :
> > May be we are reading just by luck zeros and not a random perfectly
> > sane address.
> 
> I would use the attached patches. The former one is mostly Ivan's one
> with some rework of the debug messages. The later checks the eeprom
> for its signature.

[ 8087.008071] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[ 8087.008108] r8169 0000:02:00.0: PCI INT A -> GSI 16 (level, low) ->
IRQ 16
[ 8087.008120] r8169 0000:02:00.0: enabling Mem-Wr-Inval
[ 8087.008139] r8169 0000:02:00.0: enabling bus mastering
[ 8087.008149] r8169 0000:02:00.0: setting latency timer to 64
[ 8087.008284] r8169 0000:02:00.0: VPD access advertised.

[ 8087.008620] r8169 0000:02:00.0: Missing EEPROM signature: 0000

[ 8087.009390] eth0: RTL8102e at 0xffffc20000042000,, XID 34a00000 IRQ
316
[ 8091.040800] r8169: eth0: link up

Thanks,
Martin

> 
> With these patches the driver notices that it can not get an address
> for my 8168b but it works ok with my 8169 after both an hot and a
> cold boot. Interestingly enough, the VPD is not enabled on the 8169
> during the first boot.
> 
> Ivan, can you test them (and fix them afterwards :o) ) ?
>